﻿@model ClientLogin
@{
    var clientData = Model.ClientData;
    var spouseData = Model.SpouseData;
    var contactInfo = Model.ClientContactInfo ?? new LAP.DomainModels.Entities.Client.ClientContactInfo();
    var address = !string.IsNullOrEmpty(contactInfo.Address2) ? $@"{contactInfo.Address}, {contactInfo.Address2}," : $@"{contactInfo.Address},";
    var cityStateZip = $"{contactInfo.City}, {contactInfo.State}, {contactInfo.ZipCode}";
    bool isMarried = clientData.MaritalStatus == MaritalStatusEnum.Married && spouseData != null&& Convert.ToDateTime(clientData.DateOfCurrentMarriage).IsNotEmptyDate();
}
<h2 class="text-navi">Personal Information</h2>
<div>
    <h3 style="margin-bottom:0">Client Info</h3>
    <div style="width: 100%; display: table;">
        <div style="display: table-row">
            <div style="width: 700px; display: table-cell;">
                <span>Name:</span>
                <span class="text-ink">@clientData.FirstName @clientData.MiddleInitial @clientData.LastName</span>
            </div>
            <div style="display: table-cell;">
                <span>Date of Birth:</span>
                <span class="text-ink">@(clientData.DateOfBirth.IsNotEmptyDate() ? clientData.DateOfBirth.ToString("MMM dd, yyyy") : "")</span>
            </div>
        </div>
    </div>
    <div>
        <span>Gender:</span>
        <span class="text-ink">@clientData.Gender.GetDisplayName()</span>
    </div>
    <div>
        <span>Marital Status:</span>
        <span class="text-ink">@clientData.MaritalStatus.ToString()</span>
    </div>
    <div>
        <span>Tax Filing Type:</span>
        <span class="text-ink">@clientData.TaxFilingType.GetDisplayName()</span>
    </div>
    <div>
        <span>US Citizen/Permanent Resident:</span>
        <span class="text-ink">@clientData.IsCitizen.BoolToYesNo()</span>
    </div>
    <div>
        <span>Military Service:</span>
        <span class="text-ink">@clientData.IsMilitary.BoolToYesNo()</span>
    </div>
    <div>
        <ul style="margin-top:0">
            <li>
                <span>Was your (or if applicable, a previous spouse's) service at least 90 days active with at least one of those days during a period of war?</span>
                <span class="text-ink">@clientData.ActiveService.BoolToYesNo()</span>
            </li>
            <li>
                <span>Did you (or if applicable, the previous spouse) receive a military discharge from service other than a dishonorable or officer discharge?</span>
                <span class="text-ink">@clientData.Discharge.BoolToYesNo()</span>
            </li>
        </ul>
    </div>
    <hr style="border-top: 1px solid #23588d;margin-top:30px" />
</div>
@if (isMarried)
{
    <div>
        <h3 style="margin-bottom:0">Marital Info</h3>
        <div>
            <span>Date Of Current Marriage:</span>
            <span class="text-ink">@Convert.ToDateTime(clientData.DateOfCurrentMarriage).ToString("MMM dd, yyyy")</span>
        </div>
        <div>
            <span>We have a prenuptial agreement in place.</span>
            <span class="text-ink">@clientData.Prenup.BoolToYesNo()</span>
        </div>
        <div>
            <span>In the event I predecease my spouse/partner, it is important to me to financially provide for him/her during their lifetime.</span>
            <span class="text-ink">@clientData.CareForSurvivingSpouse.BoolToYesNo()</span>
        </div>
    </div>
    <hr style="border-top: 1px solid #23588d;margin-top:30px" />
}
@if (isMarried)
{
    <div>
        <h3 style="margin-bottom:0">Spouse Info</h3>
        <div class="d-flex justify-content-between bg-secondary mb-3">
            <div>
                <span>Name:</span>
                <span class="text-ink">@spouseData.FirstName @spouseData.MiddleInitial @spouseData.LastName</span>
            </div>
            <div style="text-align:right">
                <span>Date of Birth:</span>
                <span class="text-ink">@(spouseData.DateOfBirth.IsNotEmptyDate() ? spouseData.DateOfBirth.ToString("MMM dd, yyyy") : "")</span>
            </div>
        </div>
        <div>
            <span>Gender:</span>
            <span class="text-ink">@spouseData.Gender.GetDisplayName()</span>
        </div>
        <div>
            <span>US Citizen/Permanent Resident:</span>
            <span class="text-ink">@spouseData.IsCitizen.BoolToYesNo()</span>
        </div>
        <div>
            <span>Military Service:</span>
            <span class="text-ink">@spouseData.IsMilitary.BoolToYesNo()</span>
        </div>
        <div>
            <ul style="margin-top:0">
                <li>
                    <span>Was your (or if applicable, a previous spouse's) service at least 90 days active with at least one of those days during a period of war?</span>
                    <span class="text-ink">@spouseData.ActiveService.BoolToYesNo()</span>
                </li>
                <li>
                    <span>Did you (or if applicable, the previous spouse) receive a military discharge from service other than a dishonorable or officer discharge?</span>
                    <span class="text-ink">@spouseData.Discharge.BoolToYesNo()</span>
                </li>
            </ul>
        </div>
    </div>
    <hr style="border-top: 1px solid #23588d;margin-top:30px" />
}
<div>
    <h3 style="margin-bottom:0">Contact Info</h3>
    <div style="width: 100%; display: table;">
        <div style="display: table-row">
            <div style="width: 500px; display: table-cell;">
                <span>Email Address: </span>
                <span class="text-ink">@Model.Username</span>
            </div>
            <div style="display: table-cell;">
                <span>Mobile/Cell Phone: </span>
                <span class="text-ink">@contactInfo.CellNumber</span>
            </div>
        </div>
    </div>
    @if (isMarried)
    {
        <div style="width: 500px; display: table-cell;">
            <span>Spouse's Email Address: </span>
            <span class="text-ink">@contactInfo.SpouseEmail</span>
        </div>
        <div style="display: table-cell;">
            <span>Spouse's Mobile/Cell Phone: </span>
            <span class="text-ink">@contactInfo.SpouseCellNumber</span>
        </div>
    }
    <div style="display: table-row">
        <div style="width: 500px; display: table-cell;">
            <span>Address: </span>
            <span class="text-ink">
                @if (!string.IsNullOrEmpty(contactInfo.Address))
                {
                    <span style="font-weight:400;" class="text-ink">@Html.Raw(address)</span>
                }
                @if (!string.IsNullOrEmpty(contactInfo.ZipCode))
                {
                    <span style="font-weight:400;display:block;margin-left:73px" class="text-ink">@cityStateZip</span>
                }
            </span>
        </div>
        <div style="display: table-cell;">
            <span>Phone: </span>
            <span class="text-ink">@contactInfo.Phone</span>
        </div>
    </div>
</div>
<hr style="border-top: 1px solid #23588d;margin-top:30px" />
<p class="new-page"></p>